Bug 701070 - Keys for backlight on Macbook Pro 7,1 give no action
Keys for backlight on Macbook Pro 7,1 give no action
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: o3read (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-30 17:06 EDT by rr.debruin
Modified: 2012-08-07 11:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for backlight keys on MacBookPro6,1 (507 bytes, patch)
2011-08-12 16:22 EDT, Jason Ferrara
no flags Details | Diff

  None (edit)
Description rr.debruin 2011-04-30 17:06:54 EDT
Description of problem:
On the beta of Fedora 15 the backlight keys (F1 and F2) not dim the screen. The keys work, but it not dim the screen. The screen dim icon is on the screen, but there is no dim action. Maybe it is because i use the nouveau drivers? Normaly on other linux distribution they bl-nvidia or that kind of drivers. The keyboard backlight work out of the box, and the for screen backlight it looks like it work out of the box, only the F1 and F2 not do any dim action. Hope it can be fixed before the Fedora 15 release
Comment 1 Jason Ferrara 2011-08-12 16:22:47 EDT
Created attachment 518104 [details]
Fix for backlight keys on MacBookPro6,1

I see the same behavior on a MacbookPro6,1, which I believe has the graphics hardware. 

The problem is that gnome-power-backlight-helper tries to use /sys/class/backlight/nv_backlight to adjust the brightness, but on these macbooks that hardware isn't connected to anything. The correct path is  /sys/class/backlight/apple_backlight.

I've attached a patch for gnome-power-manager that fixes the problem. I don't have any other laptops to test with, but as far as I can tell this won't break anything for other hardware.
Comment 2 Fedora End Of Life 2012-08-07 11:51:01 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.